<?php

/************************************************************************************/
/*														*/
/*					    Menu : UserVisitor						*/
/*					  ----------------------					*/
/*					      uservisitor.php						*/
/*					  ----------------------					*/
/*														*/
/*	Date				: 20 Mars 2012							*/
/*	Copyright			: 2012 PhpCraft (C)						*/
/*	Email				: phpcraft@live.fr						*/
/*	Version			: Menu UserInfo v.1.0.0						*/
/*														*/
/*	Compatible			: PhpBoost v.3.0							*/
/*														*/
/*					  ----------------------					*/
/*														*/
/*	Source			: Mini-module infosvisiteurs v.1.1				*/
/*	Date				: 07 Novembre 2006						*/
/*	Copyright			: 2006 saturnin (C)						*/
/*	Email				: saturnin@pc-inter.net						*/
/*														*/
/************************************************************************************/
/*														*/
/*	This program is free software; you can redistribute it and/or modify it 	*/
/*	under the terms of the GNU General Public License as published by the Free 	*/
/*	Software Foundation; either version 2 of the License, or (at your option) 	*/
/*	any later version.										*/
/*														*/
/*	This program is distributed in the hope that it will be useful, but WITHOUT	*/
/*	ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS */
/*	FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details	*/
/*														*/
/*	You should have received a copy of the GNU General Public License	along with	*/
/*	this program; if not, write to the Free Software Foundation, Inc., 		*/
/*	51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.			*/
/*														*/
/************************************************************************************/

/************************************************************************************/
/*														*/
/*	$Id: uservisitor.php (*_*) Version : 1.0.0 - 20/03/2012 10:29 $phpcraft		*/
/*														*/
/************************************************************************************/

function menu_uservisitor_uservisitor($position, $block)
{
	global $LANG;

	// -----------------------------
	// Chargement du fichier langage
	//
	load_menu_lang('uservisitor');

	// -------------------------
	// Chargement du fichier TPL
	//
	$tpl = new Template('menus/uservisitor/uservisitor.tpl');

	// -------------------------
	// Importation du block menu
	//
	import('core/menu_service');
	MenuService::assign_positions_conditions($tpl, $block);

	// -----------------------
	// Dtection du navigateur
	//
	function get_user_browser()
	{
		$u_agent = $_SERVER['HTTP_USER_AGENT'];
		$browser = '';

		if ( preg_match('/MSIE/i',$u_agent) )
		{
			$browser = "Internet Explorer";
		}
		else if ( preg_match('/Firefox/i', $u_agent) )
		{
			$browser = "Firefox";
		}
		else if ( preg_match('/Chrome/i', $u_agent) )
		{
			$browser = "Chrome";
		}
		else if ( preg_match('/Safari/i', $u_agent) )
		{
			$browser = "Safari";
		}
		else if ( preg_match('/Flock/i', $u_agent) )
		{
			$browser = "Flock";
		}
		else if( preg_match('/Opera/i', $u_agent) )
		{
			$browser = "Opera";
		}
		else
		{
			$browser = $LANG['other'];
		}
		return $browser;
	}

	// -----------------------------------
	// Dtection du systme d'exploitation
	//
	function getOS($ua = '')
 	{
 		if (!$ua)
 		{
			$ua = $_SERVER['HTTP_USER_AGENT'];
		}

 		$os = $LANG['unknown_operating_system'];
 		$os_arr = Array('Windows NT 6.1' => 'Windows Seven', 'Windows NT 6.0' => 'Windows Vista', 'Windows NT 5.2' => 'Windows Server 2003', 'Windows NT 5.1' => 'Windows XP', 'Windows NT 5.0' => 'Windows 2000', 'Windows 2000' => 'Windows 2000', 'Windows CE' => 'Windows Mobile', 'Win 9x 4.90' => 'Windows Me.', 'Windows 98' => 'Windows 98', 'Windows 95' => 'Windows 95', 'Win95' => 'Windows 95', 'Windows NT' => 'Windows NT', 'Ubuntu' => 'Linux Ubuntu', 'Fedora' => 'Linux Fedora', 'Linux' => 'Linux', 'Macintosh' => 'Mac', 'Mac OS X' => 'Mac OS X', 'Mac_PowerPC' => 'Mac OS X', 'FreeBSD' => 'FreeBSD', 'Unix' => 'Unix', 'Playstation portable' => 'PSP', 'OpenSolaris' => 'SunOS', 'SunOS' => 'SunOS', 'Nintendo Wii' => 'Nintendo Wii', 'Mac' => 'Mac');

		$ua = strtolower($ua);
		foreach($os_arr as $k => $v)
		{
			if ( ereg( strtolower($k), $ua ) )
			{
				$os = $v;
				break;
			}
		}
		return $os;
	}

	// ---------------
	// Variable du TPL
	//
	$tpl->assign_vars(array(
		'L_USER_VISITOR' => $LANG['user_visitor'],
		'L_NAVIGATEUR' => $LANG['navigator'],
		'L_SCREEN_RESOLUTION' => $LANG['screen_resolution'],
		'L_YOU_IP' => $LANG['you_ip'],
		'L_YOU_OS' => $LANG['you_os'],

		'NAVIGATEUR' => get_user_browser(),
		'USERAGENT' => $_SERVER['HTTP_USER_AGENT'],
		'IP' => $_SERVER['REMOTE_ADDR'],
		'UOS' => getOS($_SERVER['HTTP_USER_AGENT'])
	));
	return $tpl->parse(TEMPLATE_STRING_MODE);
}

//
// Fin du fichier !
// ----------------

?>